/**
 * @file
 * @brief Generic header for including the STM32 HAL headers.
 */
#ifndef STA_CORE_STM32_HAL_HPP
#define STA_CORE_STM32_HAL_HPP


/**
 * @defgroup sta_core_stm32 STM32
 * @ingroup sta_core_platforms
 * @brief Modules implemented for the STM32 platform.
 */

#include <sta/config.hpp>
#ifdef STA_PLATFORM_STM32

// Include STM32 HAL headers
#include <main.h>

#else // !STA_PLATFORM_STM32
#  warning "Included STM32 HAL on non-STM32 platform!"
#endif // !STA_PLATFORM_STM32


#endif // STA_CORE_STM32_HAL_HPP
