#include <sta/devices/stm32/adc.hpp>

#ifdef STA_STM32_ADC_ENABLED

#include <sta/debug/assert.hpp>

namespace sta
{
    STM32ADC::STM32ADC(ADC_HandleTypeDef * handle)
        : handle_{handle}
    {
        STA_ASSERT(handle != nullptr);
    }

    void STM32ADC::start()
    {
        HAL_ADC_Start(handle_);
    }

    void STM32ADC::poll(uint32_t timeout)
    {
        HAL_StatusTypeDef res = HAL_ADC_PollForConversion(handle_, timeout);

        STA_ASSERT(res == HAL_OK);
    }

    uint32_t STM32ADC::getValue()
    {
        return HAL_ADC_GetValue(handle_);
    }
} // namespace sta

#endif // STA_STM32_ADC_ENABLED
